Cancel Agentic Checkout Session
curl --request POST \
--url https://omnicommerce.sg/api/v1/checkout-sessions/{sessionId}/cancel \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnicommerce.sg/api/v1/checkout-sessions/{sessionId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.sg/api/v1/checkout-sessions/{sessionId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"ok": true,
"apiVersion": "agentic_checkout_v1",
"session": {
"id": "<string>",
"organizationId": "<string>",
"status": "ready_for_payment",
"paymentRail": "acp_stripe",
"currency": "<string>",
"totalAmount": 123,
"paymentRequirements": {},
"expiresAt": "<string>",
"subtotalAmount": 123,
"shippingAmount": 123,
"taxAmount": 123,
"discountAmount": 123,
"cartVersion": 123,
"buyer": {},
"shippingAddress": {},
"billingAddress": {},
"orderId": "<string>",
"completedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"items": [
{
"id": "<string>",
"productId": "<string>",
"sku": "<string>",
"title": "<string>",
"quantity": 123,
"unitAmount": 123,
"currency": "<string>",
"imageUrl": "<string>",
"productSnapshot": {}
}
]
}Agentic Checkout
Cancel Agentic Checkout Session
Cancel a ready-for-payment checkout session and release reserved inventory. This operation is exposed for UCP REST clients and requires checkout:write.
POST
/
api
/
v1
/
checkout-sessions
/
{sessionId}
/
cancel
Cancel Agentic Checkout Session
curl --request POST \
--url https://omnicommerce.sg/api/v1/checkout-sessions/{sessionId}/cancel \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnicommerce.sg/api/v1/checkout-sessions/{sessionId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.sg/api/v1/checkout-sessions/{sessionId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"ok": true,
"apiVersion": "agentic_checkout_v1",
"session": {
"id": "<string>",
"organizationId": "<string>",
"status": "ready_for_payment",
"paymentRail": "acp_stripe",
"currency": "<string>",
"totalAmount": 123,
"paymentRequirements": {},
"expiresAt": "<string>",
"subtotalAmount": 123,
"shippingAmount": 123,
"taxAmount": 123,
"discountAmount": 123,
"cartVersion": 123,
"buyer": {},
"shippingAddress": {},
"billingAddress": {},
"orderId": "<string>",
"completedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"items": [
{
"id": "<string>",
"productId": "<string>",
"sku": "<string>",
"title": "<string>",
"quantity": 123,
"unitAmount": 123,
"currency": "<string>",
"imageUrl": "<string>",
"productSnapshot": {}
}
]
}Authorizations
Bearer API key for server-to-server access. Session auth is also supported in first-party UI flows.
Path Parameters
Query Parameters
Optional organization scope for OAuth clients that can access multiple organizations.
Maximum string length:
120